#include "ezici.h"

bool task1(int N, int M, std::vector<std::pair<std::pair<int, int>, bool>> v) {
    return 0;
}

long long task2(std::vector<long long> a) {
    return 0;
}

long long task3(std::vector<long long> a) {
    return 0;
}

long long task4(std::vector<long long> a) {
    return 0;
}

long long task5(std::vector<long long> a) {
    return 0;
}

long long task6(std::vector<long long> a) {
    return 0;   
}

long long task7(std::vector<long long> a) {
    return 0;   
}

std::vector<long long> task8(std::vector<long long> a) {
    return {};   
}

long long task9(std::vector<long long> a) {
    return 0;   
}

long long task10(std::vector<long long> a) {
    return 0;   
}